{# This include displays a menu, with 1 level of children #}
{# `menu` should be passed as parameter #}
{# If `htmx_target="#target-id"` is passed as second parameter, the links are rendered as HTMX links #}

<ul class="navbar-nav mb-auto">
  {% for item in menu %}
    {% if item.visible %}
      {% if item.separator and not forloop.first and not forloop.last %}
        <div class="dropdown-divider"></div>
      {% endif %}
      <li class="nav-item{% if item.selected %} active{% endif %}{% if item.has_children %} dropdown{% endif %}"
          {% if item.selected %} aria-current="page"{% endif %}>

        {% if item.has_children %}
          <a
              class="nav-link dropdown-toggle{% if not item.collapsed %} show{% endif %}"
              data-bs-toggle="dropdown"
              data-bs-auto-close="false"
              role="button"
              aria-expanded="{% if item.collapsed %}false{% else %}true{% endif %}"
              href="{{ item.url }}"
          >
            <span class="nav-link-icon">
              <i class="bi bi-{{ item.icon }}"></i>
            </span>
            <span class="nav-link-title">
              {{ item.title }}
            </span>
          </a>
          <div class="dropdown-menu{% if not item.collapsed %} show{% endif %}">
            <div class="dropdown-menu-column">
              {% for child in item.children %}
                <a
                    class="dropdown-item"
                    {% if htmx_target %}
                    hx-get="{{ child.url }}"
                    hx-target="{{ htmx_target }}"
                    hx-select="{{ htmx_target }}"
                    hx-swap="outerHTML"
                    hx-push-url="{{ child.url }}"
                    {% else %}
                    href="{{ child.url }}"
                    {% endif %}
                >
                  <span class="nav-link-icon">
                    <i class="bi bi-{{ child.icon }}"></i>
                  </span>
                  <span class="nav-link-title">
                    {{ child.title }}
                  </span>
                </a>
              {% endfor %}
            </div>
          </div>
        {% elif not item.has_parent %} {# no children, just a link #}
          <a
              class="nav-link"
              {% if htmx_target %}
              hx-get="{{ item.url }}"
              hx-target="{{ htmx_target }}"
              hx-select="{{ htmx_target }}"
              hx-swap="outerHTML"
              hx-push-url="{{ item.url }}"
              {% else %}
              href="{{ item.url }}"
              {% endif %}
          >
            <span class="nav-link-icon">
              <i class="bi bi-{{ item.icon }}"></i>
            </span>
            <span class="nav-link-title">
             {{ item.title }}
            </span>
            {% if item.badge %}
              {# <span class="badge badge-sm bg-green-lt text-uppercase ms-auto">#}
              {#   {{ item.badge }}#}
              {# </span>#}
              <span class="position-absolute top-3 ms-auto badge rounded-pill bg-warning">
                {{ item.badge }}
              </span>
            {% endif %}
          </a>
        {% endif %}
      </li>
    {% endif %}
  {% endfor %}
</ul>
